import { Component, OnInit, ViewChild } from '@angular/core';
import { EditService, FilterService, GridComponent, IFilter, Filter, PageService,
    SortService, ToolbarService, SelectionSettingsModel } from '@syncfusion/ej2-angular-grids';
import { DatePicker, DateRangePicker } from '@syncfusion/ej2-calendars';
import { DataManager, DataUtil } from '@syncfusion/ej2-data';
import { createElement } from '@syncfusion/ej2-base';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';
import { DropDownList } from '@syncfusion/ej2-dropdowns';
import { employeeData, data } from './dataSource';

@Component({
  selector: 'app-root',
  template: `  <ejs-grid [dataSource]='data'>
  <e-columns>
    <e-column headerText='' width='60' textAlign='Center' minWidth="60" >
      <ng-template #template let-data>
        <div>upps..</div>
      </ng-template>
    </e-column>
    <e-column field='OrderID' headerText='Order ID' textAlign='right' width=120></e-column>
    <e-column field='CustomerID' headerText='Customer ID' width=150>
      <ng-template #template let-data>
        <div *ngIf="data.CustomerID === 'VINET'" class="status e-accentcolor">
          <span class="statustxt e-accentcolor">{{ data.CustomerID }}</span>
        </div>
        <div *ngIf="data.CustomerID === 'TOMSP'" class="status e-primarycolor">
          <span class="statustxt e-primarycolor">{{ data.CustomerID }}</span>
        </div>
        <div *ngIf="data.CustomerID === 'VICTE'" class="status e-inactivecolor">
          <span class="statustxt e-inactivecolor">{{ data.CustomerID }}</span>
        </div>
      </ng-template>
    </e-column>
    <e-column field='Freight' width=150></e-column>
    <e-column field='ShipName' headerText='Ship Name' width=150></e-column>

  </e-columns>
  <e-aggregates>
    <e-aggregate>
      <e-columns>
        <e-column field="Freight" type="sum">
          <ng-template #footerTemplate let-data>Sum: {{data.sum}}</ng-template>
        </e-column>
      </e-columns>
    </e-aggregate>
    <e-aggregate>
      <e-columns>
        <e-column field="Freight" type="max">
          <ng-template #footerTemplate let-data>Max: {{data.max}}</ng-template>
        </e-column>
      </e-columns>
    </e-aggregate>
  </e-aggregates>
</ejs-grid>`,
  styleUrls: ['./app.component.css']
})

export class AppComponent implements OnInit {
  public data: object[];

  ngOnInit(): void {
      this.data = data;
  }
}
